TwoPartyDealFlow.Handshake
Keywords: net.corda.finance.flows.TwoPartyDealFlow.Handshake class
Date: 2023-09-18

net.corda.finance.flows

## Class TwoPartyDealFlow.Handshake<T>

- net.corda.finance.flows.TwoPartyDealFlow.Handshake<T>

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.Handshake<T>

  This object is serialised to the network and is the first flow message the seller sends to the buyer.

- - ### Constructor Detail

    - #### Handshake

          public Handshake(T payload,
                           @NotNull
                           AnonymousParty primaryIdentity,
                           @NotNull
                           AnonymousParty secondaryIdentity)

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

      Parameters:
        `primaryIdentity` - the (anonymised) identity of the participant that initiates communication/handshake.
        `secondaryIdentity` - the (anonymised) identity of the participant that is recipient of initial communication.

  - ### Method Detail

    - #### getPayload

          public T getPayload()

    - #### getPrimaryIdentity

          @NotNull
          public AnonymousParty getPrimaryIdentity()

      the

      (anonymised) identity of the participant that initiates communication/handshake.

    - #### getSecondaryIdentity

          @NotNull
          public AnonymousParty getSecondaryIdentity()

      the

      (anonymised) identity of the participant that is recipient of initial communication.

    - #### component1

          public T component1()

    - #### component2

          @NotNull
          public AnonymousParty component2()

      the

      (anonymised) identity of the participant that initiates communication/handshake.

    - #### component3

          @NotNull
          public AnonymousParty component3()

      the

      (anonymised) identity of the participant that is recipient of initial communication.

    - #### copy

          @NotNull
          public net.corda.finance.flows.TwoPartyDealFlow.Handshake<T> copy(T payload,
                                                                                     @NotNull
                                                                                     AnonymousParty primaryIdentity,
                                                                                     @NotNull
                                                                                     AnonymousParty secondaryIdentity)

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

      Parameters:
        `primaryIdentity` - the (anonymised) identity of the participant that initiates communication/handshake.
        `secondaryIdentity` - the (anonymised) identity of the participant that is recipient of initial communication.

    - #### toString

          @NotNull
          public java.lang.String toString()

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

    - #### hashCode

          public int hashCode()

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      This object is serialised to the network and is the first flow message the seller sends to the buyer.